---
apiVersion: v1
kind: Pod
metadata:
  annotations:
    imageregistry.operator.openshift.io/dependencies-checksum: sha256:fe89e08e0d6dfc263eb9f2b8ee15a3925c8a8f374ee1ae434260492dfe074369
    openshift.io/scc: restricted
  creationTimestamp: "2020-05-26T14:23:32Z"
  generateName: image-registry-f99fbf66f-
  labels:
    docker-registry: default
    pod-template-hash: f99fbf66f
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:imageregistry.operator.openshift.io/dependencies-checksum: {}
        f:generateName: {}
        f:labels:
          .: {}
          f:docker-registry: {}
          f:pod-template-hash: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"d03bf89b-21c8-436d-aeed-bec2f29f09df"}:
            .: {}
            f:apiVersion: {}
            f:blockOwnerDeletion: {}
            f:controller: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
      f:spec:
        f:affinity:
          .: {}
          f:podAntiAffinity:
            .: {}
            f:preferredDuringSchedulingIgnoredDuringExecution: {}
        f:containers:
          k:{"name":"registry"}:
            .: {}
            f:env:
              .: {}
              k:{"name":"REGISTRY_HTTP_ADDR"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"REGISTRY_HTTP_NET"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"REGISTRY_HTTP_SECRET"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"REGISTRY_HTTP_TLS_CERTIFICATE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"REGISTRY_HTTP_TLS_KEY"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"REGISTRY_LOG_LEVEL"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"REGISTRY_OPENSHIFT_METRICS_ENABLED"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"REGISTRY_OPENSHIFT_QUOTA_ENABLED"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"REGISTRY_OPENSHIFT_SERVER_ADDR"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"REGISTRY_STORAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"REGISTRY_STORAGE_CACHE_BLOBDESCRIPTOR"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"REGISTRY_STORAGE_DELETE_ENABLED"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"REGISTRY_STORAGE_S3_ACCESSKEY"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:secretKeyRef:
                    .: {}
                    f:key: {}
                    f:name: {}
              k:{"name":"REGISTRY_STORAGE_S3_BUCKET"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"REGISTRY_STORAGE_S3_ENCRYPT"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"REGISTRY_STORAGE_S3_REGION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"REGISTRY_STORAGE_S3_SECRETKEY"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:secretKeyRef:
                    .: {}
                    f:key: {}
                    f:name: {}
              k:{"name":"REGISTRY_STORAGE_S3_USEDUALSTACK"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"REGISTRY_STORAGE_S3_VIRTUALHOSTEDSTYLE"}:
                .: {}
                f:name: {}
                f:value: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:livenessProbe:
              .: {}
              f:failureThreshold: {}
              f:httpGet:
                .: {}
                f:path: {}
                f:port: {}
                f:scheme: {}
              f:initialDelaySeconds: {}
              f:periodSeconds: {}
              f:successThreshold: {}
              f:timeoutSeconds: {}
            f:name: {}
            f:ports:
              .: {}
              k:{"containerPort":5000,"protocol":"TCP"}:
                .: {}
                f:containerPort: {}
                f:protocol: {}
            f:readinessProbe:
              .: {}
              f:failureThreshold: {}
              f:httpGet:
                .: {}
                f:path: {}
                f:port: {}
                f:scheme: {}
              f:periodSeconds: {}
              f:successThreshold: {}
              f:timeoutSeconds: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/etc/pki/ca-trust/source/anchors"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/etc/secrets"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/usr/share/pki/ca-trust-source"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/var/lib/kubelet/"}:
                .: {}
                f:mountPath: {}
                f:name: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:nodeSelector:
          .: {}
          f:kubernetes.io/os: {}
        f:priorityClassName: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext:
          .: {}
          f:fsGroup: {}
        f:serviceAccount: {}
        f:serviceAccountName: {}
        f:terminationGracePeriodSeconds: {}
        f:volumes:
          .: {}
          k:{"name":"installation-pull-secrets"}:
            .: {}
            f:name: {}
            f:secret:
              .: {}
              f:defaultMode: {}
              f:items: {}
              f:optional: {}
              f:secretName: {}
          k:{"name":"registry-certificates"}:
            .: {}
            f:configMap:
              .: {}
              f:defaultMode: {}
              f:name: {}
            f:name: {}
          k:{"name":"registry-tls"}:
            .: {}
            f:name: {}
            f:projected:
              .: {}
              f:defaultMode: {}
              f:sources: {}
          k:{"name":"trusted-ca"}:
            .: {}
            f:configMap:
              .: {}
              f:defaultMode: {}
              f:items: {}
              f:name: {}
              f:optional: {}
            f:name: {}
    manager: kube-controller-manager
    operation: Update
    time: "2020-05-26T14:23:31Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          .: {}
          k:{"type":"PodScheduled"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
    manager: kube-scheduler
    operation: Update
    time: "2020-05-26T14:28:04Z"
  name: image-registry-f99fbf66f-4bjm5
  namespace: openshift-image-registry
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: ReplicaSet
    name: image-registry-f99fbf66f
    uid: d03bf89b-21c8-436d-aeed-bec2f29f09df
  resourceVersion: "17188"
  selfLink: /api/v1/namespaces/openshift-image-registry/pods/image-registry-f99fbf66f-4bjm5
  uid: 04fb633c-1598-4cdd-a729-582f9d31c289
spec:
  affinity:
    podAntiAffinity:
      preferredDuringSchedulingIgnoredDuringExecution:
      - podAffinityTerm:
          namespaces:
          - openshift-image-registry
          topologyKey: kubernetes.io/hostname
        weight: 100
  containers:
  - env:
    - name: REGISTRY_STORAGE
      value: s3
    - name: REGISTRY_STORAGE_S3_BUCKET
      value: test-sinny-asset1-bp8lj-image-registry-us-east-1-aykoexnmeoiwn
    - name: REGISTRY_STORAGE_S3_REGION
      value: us-east-1
    - name: REGISTRY_STORAGE_S3_ENCRYPT
      value: "true"
    - name: REGISTRY_STORAGE_S3_VIRTUALHOSTEDSTYLE
      value: "false"
    - name: REGISTRY_STORAGE_S3_USEDUALSTACK
      value: "true"
    - name: REGISTRY_STORAGE_S3_ACCESSKEY
      valueFrom:
        secretKeyRef:
          key: REGISTRY_STORAGE_S3_ACCESSKEY
          name: image-registry-private-configuration
    - name: REGISTRY_STORAGE_S3_SECRETKEY
      valueFrom:
        secretKeyRef:
          key: REGISTRY_STORAGE_S3_SECRETKEY
          name: image-registry-private-configuration
    - name: REGISTRY_HTTP_ADDR
      value: :5000
    - name: REGISTRY_HTTP_NET
      value: tcp
    - name: REGISTRY_HTTP_SECRET
      value: ae7ddb8887d7219b8e657ce0422b4fe420cc1630c4ea5201a92dcc2d95026a91900b652345e3ce04ca4bef7a7e5c1074ff8bb079b2e929bccd5b8e389224c95d
    - name: REGISTRY_LOG_LEVEL
      value: info
    - name: REGISTRY_OPENSHIFT_QUOTA_ENABLED
      value: "true"
    - name: REGISTRY_STORAGE_CACHE_BLOBDESCRIPTOR
      value: inmemory
    - name: REGISTRY_STORAGE_DELETE_ENABLED
      value: "true"
    - name: REGISTRY_OPENSHIFT_METRICS_ENABLED
      value: "true"
    - name: REGISTRY_OPENSHIFT_SERVER_ADDR
      value: image-registry.openshift-image-registry.svc:5000
    - name: REGISTRY_HTTP_TLS_CERTIFICATE
      value: /etc/secrets/tls.crt
    - name: REGISTRY_HTTP_TLS_KEY
      value: /etc/secrets/tls.key
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:9b1d20844abc6561d7b9e1e193a7e2e2eb3f27eadcc489a0cf3a074e06cca87d
    imagePullPolicy: IfNotPresent
    livenessProbe:
      failureThreshold: 3
      httpGet:
        path: /healthz
        port: 5000
        scheme: HTTPS
      initialDelaySeconds: 10
      periodSeconds: 10
      successThreshold: 1
      timeoutSeconds: 5
    name: registry
    ports:
    - containerPort: 5000
      protocol: TCP
    readinessProbe:
      failureThreshold: 3
      httpGet:
        path: /healthz
        port: 5000
        scheme: HTTPS
      periodSeconds: 10
      successThreshold: 1
      timeoutSeconds: 5
    resources:
      requests:
        cpu: 100m
        memory: 256Mi
    securityContext:
      capabilities:
        drop:
        - KILL
        - MKNOD
        - SETGID
        - SETUID
      runAsUser: 1000330000
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /etc/secrets
      name: registry-tls
    - mountPath: /etc/pki/ca-trust/source/anchors
      name: registry-certificates
    - mountPath: /usr/share/pki/ca-trust-source
      name: trusted-ca
    - mountPath: /var/lib/kubelet/
      name: installation-pull-secrets
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: registry-token-7klwz
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  imagePullSecrets:
  - name: registry-dockercfg-p5dhl
  nodeSelector:
    kubernetes.io/os: linux
  priority: 2000000000
  priorityClassName: system-cluster-critical
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext:
    fsGroup: 1000330000
    seLinuxOptions:
      level: s0:c18,c12
  serviceAccount: registry
  serviceAccountName: registry
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 300
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 300
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  volumes:
  - name: registry-tls
    projected:
      defaultMode: 420
      sources:
      - secret:
          name: image-registry-tls
  - configMap:
      defaultMode: 420
      name: image-registry-certificates
    name: registry-certificates
  - configMap:
      defaultMode: 420
      items:
      - key: ca-bundle.crt
        path: anchors/ca-bundle.crt
      name: trusted-ca
      optional: true
    name: trusted-ca
  - name: installation-pull-secrets
    secret:
      defaultMode: 420
      items:
      - key: .dockerconfigjson
        path: config.json
      optional: true
      secretName: installation-pull-secrets
  - name: registry-token-7klwz
    secret:
      defaultMode: 420
      secretName: registry-token-7klwz
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:23:32Z"
    message: '0/6 nodes are available: 3 node(s) had taint {node-role.kubernetes.io/master:
      }, that the pod didn''t tolerate, 3 node(s) had taint {node.kubernetes.io/not-ready:
      }, that the pod didn''t tolerate.'
    reason: Unschedulable
    status: "False"
    type: PodScheduled
  phase: Pending
  qosClass: Burstable
